# logical_not Struct Template Reference
[Boolean Operations Classes]

Inheritance diagram for logical_not:

List of all members.

### template<class _Tp>
struct std::logical_not< _Tp >

## Public Types

- typedef _Tp argument_type
- typedef bool result_type

## Public Member Functions

- bool operator() (const _Tp &__x) const

## Member Typedef Documentation

typedef _Tp argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef bool result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h